Subject: Re: [Netatalk-devel] Confused Aliases

From: Thomas Schierle <[email-masked]>
Date: Tue, 22 Jan 2002 01:57:19 +0100

(X-posted and follow-up-to Netatalk-Admins)

-- preface, for the audience just subscribed to Admins -- I noticed
a Macintosh client confused different shares hosted at the same
physical server. An Apple provided TIL document states, the client
looks for a volume by type (e.g. local, remote) and creation time,
in contrast to a human being that would look for server- and volume
names. --

I just wanted to drop you a short note -- I believe I found
the cause to all that trouble:

At least when logging in to the Netatalk server for the
first time using Network Browser (as I don't run DDP, it is
more convenient than Chooser for me), .AppleDouble/.Parent will
be created at the root of all new shares *at once* and therefore
the shared volumes will have the same creation time!

Admin will be well-advised when setting up a Netatalk server
to create a single new share, then log in from a Macintosh, log
out again, create the next share, log in etc. (I'd be interested
to if there is a known minimum creation time difference needed
by AppleShare clients to distinguish different remote shares).

btw, after resurrecting the offending shares, Quark all of a
sudden started to behave -- Netatalk compiled to use cnid and
byte range locking.

Placing/updating pictures works like a charm, when I saved a Quark
document, once I got a "document already open for writing" error.

Now I have locked the "Temporary Items" folder at the root of all
shares from the Macintosh side (easily done using Norton Disk Editor),
and (in my very limited testing) I didn't encounter errors any more to
date.

Nice!
-Thomas

On 2002-01-10 22:31 +0100, I wrote:

> On 2002-01-08 11:13 +0100, Thomas Kaiser wrote:
> 
>> am 07.01.2002 23:28 Uhr schrieb Thomas Schierle:
>> 
>>> I feel I should change the creation time for one of the partitions
>>> at hdc and see if it helps -- any help please to accomplish that task?
>> 
>> Removing .AppleDouble/.Parent in the share's root will do what you expect.
>> The next time, the volume will be mounted, it will be recreated
>> automatically. But I don't know whether there are potential side effects...
> 
> Thanks a lot!
> 
> looks like trashing .AppleDouble/.Parent for one sharepoint did
> the trick -- I wasn't able to figure out exact repro steps, therefore
> I'm not absolutely sure, but no more Alias trouble to date.
> 
> btw, I'd suggest to add this trick to FAQs -- for sure I'm not the
> only one setting up multiple sharepoints at once. And that matter didn't
> crop up at netatalk admins/devel before for obvious reason.

-- 
Thomas Schierle, Munich, Germany

PGP key [DSS/DH] 0xA23CDA1D available at various public key servers